# Wobbl tools

A python module for some projects by the Wobbler.

## Installation

You first have to check where your module folder is located. You can do this by running this command:

```bash
python3 -m site
```

The output should look like this:

```bash
sys.path = [
    '/home/user',
    '/usr/lib/python310.zip',
    '/usr/lib/python3.10',
    '/usr/lib/python3.10/lib-dynload',
    '/home/user/.local/lib/python3.10/site-packages',
    '/usr/local/lib/python3.10/dist-packages',
    '/usr/lib/python3/dist-packages',
    '/usr/lib/python3.10/dist-packages',
]
USER_BASE: '/home/user/.local' (exists)
USER_SITE: '/home/user/.local/lib/python3.10/site-packages' (exists)
ENABLE_USER_SITE: True
```

The path after "USER_SITE" is the path to your module folder. You have to `cd into the folder and clone this repository.
You can do that using these commands:

```bash
cd /home/user/.local/lib/python3.10/site-packages
git clone https://teapot.informationsanarchistik.de/Wobbl/wobbl_tools.git
```

<sup>Dont forget to replace the path!</sup>

And you are done!

#### Additional:

If you want to have this repository in your projects (or any other) folder, you can clone the repository in the folder and create a symbolic link to it.

You can do so by running these commands:

``` bash
cd /any/folder
git clone https://teapot.informationsanarchistik.de/Wobbl/wobbl_tools.git
ln -s /any/folder/wobbl_tools /home/user/.local/lib/python3.10/site-packages/
```

<sup>Dont forget to replace the paths, and it is necessary that there is no / at the end of the path to the module and a / at the end of the path to the site-packages folder.</sup>